package com.ss.android.ugc.aweme.services.external.ui;

import com.bytedance.covode.number.Covode;

public interface IRecordService$UICallback {

    public static final class DefaultImpls {
        static {
            Covode.recordClassIndex(105324);
        }

        public static boolean checkIsCanceled(IRecordService$UICallback iRecordService$UICallback) {
            return false;
        }
    }

    static {
        Covode.recordClassIndex(105323);
    }

    boolean checkIsCanceled();

    void postFail();

    void postSuccess();

    void preFail(int i);

    void preSuccess();
}
